> For the complete documentation index, see [llms.txt](https://docs.icepanel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.icepanel.io/integrations/rest-api.md).

# API & SDK

## Introduction

The IcePanel REST API is publicly accessible to write automated scripts or custom integrations with external tools. We also offer 2 SDKs. Feel free to reach out if you would like another SDK to be generated.

* Full API reference: <https://developer.icepanel.io/api-reference/landscapes/get>
* TypeScript SDK: <https://github.com/IcePanel/icepanel-js>
* Java SDK: <https://github.com/IcePanel/icepanel-java>

## Authentication

First generate an API key on your organization management screen. Make sure to copy your key now as you won't be able to see it again for security reasons!

You can then set the `Authorization` HTTP header on any authenticated requests.

```
Authorization: ApiKey SH5XAiWtgevC2ZfQym3i:17a9c60035eed62c8f4f195c754ee6972ffc40ce975c5571ec521f463ebefa7f
```

## Example

See the example below for how to request a list of projects using `curl`.

```bash
curl 'https://api.icepanel.io/v1/organizations/{organizationId}/landscapes' \
  -H 'Accept: application/json' \                                                                                
  -H 'Authorization: ApiKey SH5XAiWtgevC2ZfQym3i:17a9c60035eed62c8f4f195c754ee6972ffc40ce975c5571ec521f463ebefa7f'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.icepanel.io/integrations/rest-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
